## imcode.server.parser
Class TagParser

    java.lang.Object
      imcode.server.parser.TagParser

    public class TagParser

extends java.lang.Object

Nested Class Summary
`class` `TagParser.MetaIdHeaderHttpServletRequest`
`static class` `TagParser.VelocityTagUtil`

Constructor Summary
`TagParser(TextDocumentParser textdocparser, ParserParameters parserParameters)`

Method Summary
`static java.lang.String` `addPreAndPost(java.util.Properties attributes, java.lang.String tagResult)`
`java.util.Properties` `parseAttributes(java.lang.String attributes_string, org.apache.oro.text.regex.PatternMatcher patternMatcher, javax.servlet.http.HttpServletRequest request)` Take a String of attributes, as may be found inside a tag, (name="...", and so on...) and transform it into a Properties.
`java.lang.String` `replaceTags(java.lang.String template, boolean insideText)`
`java.lang.String` `tagImage(java.util.Properties attributes)` Handle a tag
`java.lang.String` `tagImage(java.util.Properties attributes, boolean imageMode, int[] implicitImageIndex, UserDomainObject user, TextDocumentDomainObject document, javax.servlet.http.HttpServletRequest httpServletRequest, ImcmsServices service)`
`java.lang.String` `tagInclude(java.util.Properties attributes)` Handle a tag
`java.lang.String` `tagText(java.util.Properties attributes)` Handle a tag

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagParser

    public TagParser(TextDocumentParser textdocparser,
                     ParserParameters parserParameters)

Method Detail

### tagInclude

    public java.lang.String tagInclude(java.util.Properties attributes)

  Handle a tag

  Parameters:
    `attributes` - The attributes of the include tag

### tagText

    public java.lang.String tagText(java.util.Properties attributes)

  Handle a tag

  Parameters:
    `attributes` - The attributes of the text tag attributes: - no Text number in document - document Document to get text from ( id or alias ) - label Label to show in write mode - mode ( "read" | "write" ) - filter - formats - rows

### tagImage

    public java.lang.String tagImage(java.util.Properties attributes)

  Handle a tag

  Parameters:
    `attributes` - The attributes of the image tag

### tagImage

    public java.lang.String tagImage(java.util.Properties attributes,
                                     boolean imageMode,
                                     int[] implicitImageIndex,
                                     UserDomainObject user,
                                     TextDocumentDomainObject document,
                                     javax.servlet.http.HttpServletRequest httpServletRequest,
                                     ImcmsServices service)

### replaceTags

    public java.lang.String replaceTags(java.lang.String template,
                                        boolean insideText)

### addPreAndPost

    public static java.lang.String addPreAndPost(java.util.Properties attributes,
                                                 java.lang.String tagResult)

### parseAttributes

    public java.util.Properties parseAttributes(java.lang.String attributes_string,
                                                org.apache.oro.text.regex.PatternMatcher patternMatcher,
                                                javax.servlet.http.HttpServletRequest request)

  Take a String of attributes, as may be found inside a tag, (name="...", and so on...) and transform it into a Properties.